ReportGeneratorConfiguration (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.report.config, class: ReportGeneratorConfiguration

Package org.apache.jmeter.report.config

# Class ReportGeneratorConfiguration

java.lang.Object
org.apache.jmeter.report.config.ReportGeneratorConfiguration

public class ReportGeneratorConfiguration extends Object
The class ReportGeneratorConfiguration describes the configuration of the report generator.

Since:
  3.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `EXPORTER_KEY_FILTERS_ONLY_SAMPLE_SERIES`
  `static final Boolean`
  `EXPORTER_KEY_FILTERS_ONLY_SAMPLE_SERIES_DEFAULT`
  `static final String`
  `EXPORTER_KEY_GRAPH_EXTRA_OPTIONS`
  `static final String`
  `EXPORTER_KEY_SERIES_FILTER`
  `static final String`
  `EXPORTER_KEY_SERIES_FILTER_DEFAULT`
  `static final String`
  `EXPORTER_KEY_SHOW_CONTROLLERS_ONLY`
  `static final Boolean`
  `EXPORTER_KEY_SHOW_CONTROLLERS_ONLY_DEFAULT`
  `static final String`
  `GRAPH_KEY_EXCLUDE_CONTROLLERS`
  `static final Boolean`
  `GRAPH_KEY_EXCLUDE_CONTROLLERS_DEFAULT`
  `static final String`
  `GRAPH_KEY_TITLE`
  `static final String`
  `GRAPH_KEY_TITLE_DEFAULT`
  `static final char`
  `KEY_DELIMITER`
  `static final String`
  `REPORT_GENERATOR_EXPORTER_KEY_PREFIX`
  `static final String`
  `REPORT_GENERATOR_GRAPH_KEY_PREFIX`
  `static final String`
  `REPORT_GENERATOR_KEY_PREFIX`
  `static final String`
  `REPORT_GENERATOR_KEY_RANGE_DATE_FORMAT`
  `static final String`
  `REPORT_GENERATOR_KEY_TEMP_DIR`
  `static final String`
  `SUBCONF_KEY_CLASSNAME`
  `static final String`
  `SUBCONF_KEY_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReportGeneratorConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,Long[]>`
  `getApdexPerTransaction()`
  Gets the apdex per transaction map
  `static Map<String,Long[]>`
  `getApdexPerTransactionParts(String apdexPerTransaction)`
  Parses a string coming from properties to fill a map containing sample names as keys and an array of 2 longs [satisfied, tolerated] as values.
  `final long`
  `getApdexSatisfiedThreshold()`
  Gets the apdex satisfied threshold.
  `final long`
  `getApdexToleratedThreshold()`
  Gets the apdex tolerated threshold.
  `Date`
  `getEndDate()`
  `final Map<String,ExporterConfiguration>`
  `getExportConfigurations()`
  Gets the export configurations.
  `static String`
  `getExporterPropertyKey(String exporterId, String propertyName)`
  Gets the exporter property key from the specified identifier and property name.
  `Pattern`
  `getFilteredSamplesPattern()`
  `final Map<String,GraphConfiguration>`
  `getGraphConfigurations()`
  Gets the graph configurations.
  `static String`
  `getGraphPropertyKey(String graphId, String propertyName)`
  Gets the graph property key from the specified identifier and property name.
  `String`
  `getReportTitle()`
  `final String`
  `getSampleFilter()`
  Gets the overall sample filter.
  `Date`
  `getStartDate()`
  `static String`
  `getSubConfigurationPropertyKey(String keyPrefix, String subConfId, String propertyName)`
  Gets the sub configuration property key from the specified key prefix, sub configuration identifier and property name.
  `static String`
  `getSubConfigurationPropertyPrefix(String keyPrefix, String subConfId)`
  Gets the sub configuration property prefix from the specified key prefix and sub configuration identifier.
  `final File`
  `getTempDirectory()`
  Gets the temporary directory.
  `boolean`
  `isIgnoreTCFromTop5ErrorsBySampler()`
  `static ReportGeneratorConfiguration`
  `loadFromProperties(Properties properties)`
  Load a configuration from the specified properties.
  `void`
  `setApdexPerTransaction(Map<String,Long[]> apdexPerTransaction)`
  Sets the apdex per transaction map.
  `final void`
  `setApdexSatisfiedThreshold(long apdexSatisfiedThreshold)`
  Sets the apdex satisfied threshold.
  `final void`
  `setApdexToleratedThreshold(long apdexToleratedThreshold)`
  Sets the apdex tolerated threshold.
  `void`
  `setEndDate(Date endDate)`
  `void`
  `setIgnoreTCFromTop5ErrorsBySampler(boolean ignoreTCFromTop5ErrorsBySampler)`
  `void`
  `setReportTitle(String reportTitle)`
  `final void`
  `setSampleFilter(String sampleFilter)`
  Sets the overall sample filter.
  `void`
  `setStartDate(Date startDate)`
  `final void`
  `setTempDirectory(File tempDirectory)`
  Sets the temporary directory.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### KEY_DELIMITER

    public static final char KEY_DELIMITER
    See Also:
      - Constant Field Values

  - ### REPORT_GENERATOR_KEY_PREFIX

    public static final String REPORT_GENERATOR_KEY_PREFIX
    See Also:
      - Constant Field Values

  - ### REPORT_GENERATOR_KEY_RANGE_DATE_FORMAT

    public static final String REPORT_GENERATOR_KEY_RANGE_DATE_FORMAT
    See Also:
      - Constant Field Values

  - ### REPORT_GENERATOR_GRAPH_KEY_PREFIX

    public static final String REPORT_GENERATOR_GRAPH_KEY_PREFIX
    See Also:
      - Constant Field Values

  - ### REPORT_GENERATOR_EXPORTER_KEY_PREFIX

    public static final String REPORT_GENERATOR_EXPORTER_KEY_PREFIX
    See Also:
      - Constant Field Values

  - ### REPORT_GENERATOR_KEY_TEMP_DIR

    public static final String REPORT_GENERATOR_KEY_TEMP_DIR
    See Also:
      - Constant Field Values

  - ### GRAPH_KEY_EXCLUDE_CONTROLLERS

    public static final String GRAPH_KEY_EXCLUDE_CONTROLLERS
    See Also:
      - Constant Field Values

  - ### GRAPH_KEY_EXCLUDE_CONTROLLERS_DEFAULT

    public static final Boolean GRAPH_KEY_EXCLUDE_CONTROLLERS_DEFAULT

  - ### GRAPH_KEY_TITLE

    public static final String GRAPH_KEY_TITLE
    See Also:
      - Constant Field Values

  - ### GRAPH_KEY_TITLE_DEFAULT

    public static final String GRAPH_KEY_TITLE_DEFAULT
    See Also:
      - Constant Field Values

  - ### EXPORTER_KEY_FILTERS_ONLY_SAMPLE_SERIES

    public static final String EXPORTER_KEY_FILTERS_ONLY_SAMPLE_SERIES
    See Also:
      - Constant Field Values

  - ### EXPORTER_KEY_FILTERS_ONLY_SAMPLE_SERIES_DEFAULT

    public static final Boolean EXPORTER_KEY_FILTERS_ONLY_SAMPLE_SERIES_DEFAULT

  - ### EXPORTER_KEY_SERIES_FILTER

    public static final String EXPORTER_KEY_SERIES_FILTER
    See Also:
      - Constant Field Values

  - ### EXPORTER_KEY_SERIES_FILTER_DEFAULT

    public static final String EXPORTER_KEY_SERIES_FILTER_DEFAULT
    See Also:
      - Constant Field Values

  - ### EXPORTER_KEY_SHOW_CONTROLLERS_ONLY

    public static final String EXPORTER_KEY_SHOW_CONTROLLERS_ONLY
    See Also:
      - Constant Field Values

  - ### EXPORTER_KEY_SHOW_CONTROLLERS_ONLY_DEFAULT

    public static final Boolean EXPORTER_KEY_SHOW_CONTROLLERS_ONLY_DEFAULT

  - ### EXPORTER_KEY_GRAPH_EXTRA_OPTIONS

    public static final String EXPORTER_KEY_GRAPH_EXTRA_OPTIONS
    See Also:
      - Constant Field Values

  - ### SUBCONF_KEY_CLASSNAME

    public static final String SUBCONF_KEY_CLASSNAME
    See Also:
      - Constant Field Values

  - ### SUBCONF_KEY_PROPERTY

    public static final String SUBCONF_KEY_PROPERTY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReportGeneratorConfiguration

    public ReportGeneratorConfiguration()

- ## Method Details

  - ### getSampleFilter

    public final String getSampleFilter()
    Gets the overall sample filter.
    Returns:
      the overall sample filter

  - ### setSampleFilter

    public final void setSampleFilter(String sampleFilter)
    Sets the overall sample filter.
    Parameters:
      `sampleFilter` - the new overall sample filter

  - ### getTempDirectory

    public final File getTempDirectory()
    Gets the temporary directory.
    Returns:
      the temporary directory

  - ### setTempDirectory

    public final void setTempDirectory(File tempDirectory)
    Sets the temporary directory.
    Parameters:
      `tempDirectory` - the temporary directory to set

  - ### getApdexSatisfiedThreshold

    public final long getApdexSatisfiedThreshold()
    Gets the apdex satisfied threshold.
    Returns:
      the apdex satisfied threshold

  - ### setApdexSatisfiedThreshold

    public final void setApdexSatisfiedThreshold(long apdexSatisfiedThreshold)
    Sets the apdex satisfied threshold.
    Parameters:
      `apdexSatisfiedThreshold` - the apdex satisfied threshold to set

  - ### getApdexToleratedThreshold

    public final long getApdexToleratedThreshold()
    Gets the apdex tolerated threshold.
    Returns:
      the apdex tolerated threshold

  - ### setApdexToleratedThreshold

    public final void setApdexToleratedThreshold(long apdexToleratedThreshold)
    Sets the apdex tolerated threshold.
    Parameters:
      `apdexToleratedThreshold` - the apdex tolerated threshold to set

  - ### getApdexPerTransaction

    public Map<String,Long[]> getApdexPerTransaction()
    Gets the apdex per transaction map
    Returns:
      the apdex per transaction map

  - ### setApdexPerTransaction

    public void setApdexPerTransaction(Map<String,Long[]> apdexPerTransaction)
    Sets the apdex per transaction map.
    Parameters:
      `apdexPerTransaction` - a map containing thresholds for one or more samples

  - ### getExportConfigurations

    public final Map<String,ExporterConfiguration> getExportConfigurations()
    Gets the export configurations.
    Returns:
      the export configurations

  - ### getGraphConfigurations

    public final Map<String,GraphConfiguration> getGraphConfigurations()
    Gets the graph configurations.
    Returns:
      the graph configurations

  - ### getSubConfigurationPropertyPrefix

    public static String getSubConfigurationPropertyPrefix(String keyPrefix, String subConfId)
    Gets the sub configuration property prefix from the specified key prefix and sub configuration identifier.
    Parameters:
      `keyPrefix` - the key prefix
      `subConfId` - the sub configuration identifier
    Returns:
      the sub configuration property prefix

  - ### getSubConfigurationPropertyKey

    public static String getSubConfigurationPropertyKey(String keyPrefix, String subConfId, String propertyName)
    Gets the sub configuration property key from the specified key prefix, sub configuration identifier and property name.
    Parameters:
      `keyPrefix` - the key prefix
      `subConfId` - the sub configuration identifier
      `propertyName` - the property name
    Returns:
      the sub configuration property key

  - ### getExporterPropertyKey

    public static String getExporterPropertyKey(String exporterId, String propertyName)
    Gets the exporter property key from the specified identifier and property name.
    Parameters:
      `exporterId` - the exporter identifier
      `propertyName` - the property name
    Returns:
      the exporter property key

  - ### getGraphPropertyKey

    public static String getGraphPropertyKey(String graphId, String propertyName)
    Gets the graph property key from the specified identifier and property name.
    Parameters:
      `graphId` - the graph identifier
      `propertyName` - the property name
    Returns:
      the graph property key

  - ### loadFromProperties

    public static ReportGeneratorConfiguration loadFromProperties(Properties properties) throws ConfigurationException
    Load a configuration from the specified properties.
    Parameters:
      `properties` - the properties
    Returns:
      the report generator configuration
    Throws:
      `ConfigurationException` - when mandatory properties are missing

  - ### getApdexPerTransactionParts

    public static Map<String,Long[]> getApdexPerTransactionParts(String apdexPerTransaction)
    Parses a string coming from properties to fill a map containing sample names as keys and an array of 2 longs [satisfied, tolerated] as values. The sample name can be a regex supplied by the user.
    Parameters:
      `apdexPerTransaction` - the string coming from properties
    Returns:
      `Map` containing for each sample name or sample name regex an array of Long corresponding to satisfied and tolerated apdex thresholds.

  - ### getReportTitle

    public String getReportTitle()
    Returns:
      the reportTitle

  - ### setReportTitle

    public void setReportTitle(String reportTitle)
    Parameters:
      `reportTitle` - the reportTitle to set

  - ### getFilteredSamplesPattern

    public Pattern getFilteredSamplesPattern()
    Returns:
      the filteredSamplesPattern

  - ### getStartDate

    public Date getStartDate()
    Returns:
      the start date to use to generate the report

  - ### setStartDate

    public void setStartDate(Date startDate)
    Parameters:
      `startDate` - the start date to use to generate the report

  - ### getEndDate

    public Date getEndDate()
    Returns:
      the end date to use to generate the report

  - ### setEndDate

    public void setEndDate(Date endDate)
    Parameters:
      `endDate` - the end date to use to generate the report

  - ### isIgnoreTCFromTop5ErrorsBySampler

    public boolean isIgnoreTCFromTop5ErrorsBySampler()
    Returns:
      the ignoreTCFromTop5ErrorsBySampler

  - ### setIgnoreTCFromTop5ErrorsBySampler

    public void setIgnoreTCFromTop5ErrorsBySampler(boolean ignoreTCFromTop5ErrorsBySampler)
    Parameters:
      `ignoreTCFromTop5ErrorsBySampler` - the ignoreTCFromTop5ErrorsBySampler to set